Edit Comment
This API updates a specific comment.
Endpoints
OAuth Scope
WorkDrive.comments.UPDATECopied!
curl --request PATCH \
--url https://www.zohoapis.com/workdrive/api/v1/comments/{comment_id} \
--header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52' \
--header 'content-type: application/vnd.api+json' \
--data '{"data":{"attributes":{"comment_html":"Fine"},"type":"comments"}}'Path Parameters
comment_idstring(Required)
The unique ID of the comment
Request Body
application/vnd.api+jsondataJSON Object(Required)
Hide Sub-Attributes
attributesJSON Object(Required)
Hide Sub-Attributes
comment_htmlstring(Required)
The comment to be added within the file.
typestring(Required)
The JSON:API resource type. Always "comments".
Allowed Values :
Show Values ▾
commentsCopied!
Copy all as JSON Array
{
"data": {
"attributes": {
"comment_html": "Fine"
},
"type": "comments"
}
}
{
"data": {
"id": "ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064",
"type": "comments",
"attributes": {
"commented_by": "Zylker Creation",
"created_time": "Apr 13, 1:24 PM",
"capabilities": {
"can_delete_comment": true,
"can_edit_comment": true,
"can_replyto_comment": true,
"can_resolve_comment": true
},
"commented_email_id": "zylker@zylker.com",
"modified_email_id": "zylker@zylker.com",
"comment_html": "Fine",
"version": "1.0",
"modified_time": "Apr 13, 1:24 PM",
"commented_by_zuid": 747938014,
"modified_by_zuid": 747938014,
"modified_by": "Zylker Creation",
"contacts_url": "https://contacts.zoho.com/file?t=user&ID=747938014&fs=thumb",
"resource_id": "ly9zm850678101cec4b0698777ab4534a3002",
"created_time_in_millis": 1618300488998,
"modified_time_in_millis": 1618300488998,
"top_version": true,
"resolved": true,
"edited": true
},
"links": {
"self": "https://www.zohoapis.com/workdrive/comments/ly9zm850678101cec4b0698777ab4534a3002-2774428000000002064"
}
}
}
{
"errors": [
{
"id": "U010",
"title": "User not a part of this zsoid"
}
]
}
{
"errors": [
{
"id": "R008",
"title": "Unauthorized access"
}
]
}
{
"errors": [
{
"id": "U043",
"title": "Invalid ZUID"
}
]
}
{
"errors": [
{
"id": "A001",
"title": "Invalid action type passed"
}
]
}
{
"errors": [
{
"id": "C003",
"title": "Given comment id is invalid or doesn't exist"
}
]
}
{
"errors": [
{
"id": "R017",
"title": "Current plan does not support to perform this API"
}
]
}
{
"errors": [
{
"id": "F7003",
"title": "Invalid OAuth token"
}
]
}
{
"errors": [
{
"id": "F000",
"title": "General exception"
}
]
}
{
"errors": [
{
"id": "C005",
"title": "Comment has unauthorized mentions"
}
]
}
{
"errors": [
{
"id": "C004",
"title": "Comment has unauthorized mentions"
}
]
}
{
"errors": [
{
"id": "I029",
"title": "Requested resource not available in installed team"
}
]
}
© 2026, Zoho Corporation Pvt. Ltd. All Rights Reserved.